Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Debug_Attribute_Builder Class Reference

`#include <Debug_Attributes_Builder.h>`

Inheritance diagram for ACEXML_Debug_Attribute_Builder:

[legend]
Collaboration diagram for ACEXML_Debug_Attribute_Builder:

[legend]
List of all members.

## Public Methods
| ACEXML_Debug_Attribute_Builder ()
| ACEXML_Debug_Attribute_Builder (const ACEXML_Debug_Attribute_Builder &rhs)
virtual | ~ACEXML_Debug_Attribute_Builder ()
virtual int | setName (const ACEXML_Char *n)
virtual const ACEXML_Char * | getName (void)
virtual int | setAttType (const ATT_TYPE type ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual int | insertList (const ACEXML_Char *Name ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual int | setDefault (const DEFAULT_DECL def, const ACEXML_Char *value ACEXML_ENV_ARG_DECL) ACE_THROW_SPEC((ACEXML_SAXException))
virtual int | validAttr (void)
virtual void | dump (void)
## Private Attributes
ACEXML_String | name_
| Attribute name.
ATT_TYPE | type_
| Type of attribute.
DEFAULT_DECL | default_decl_
| Default value type.
ACEXML_String | default_value_
| Default attribute value.
ACEXML_STRING_QUEUE | att_value_queue_
| Holds a queue of enumerated attribute values.

## Detailed Description

This class prints out the Attribute definition for debugging purpose.

## Constructor & Destructor Documentation

ACEXML_Debug_Attribute_Builder::ACEXML_Debug_Attribute_Builder | ( |  | ) |

ACEXML_Debug_Attribute_Builder::ACEXML_Debug_Attribute_Builder | ( | const ACEXML_Debug_Attribute_Builder & | rhs | ) |

ACEXML_Debug_Attribute_Builder::~ACEXML_Debug_Attribute_Builder | ( |  | ) | `[virtual]`

## Member Function Documentation

void ACEXML_Debug_Attribute_Builder::dump | ( | void |  | ) | `[virtual]`

| Dump the content of the attribute definition. Implements ACEXML_Attribute_Def_Builder.

const ACEXML_Char * ACEXML_Debug_Attribute_Builder::getName | ( | void |  | ) | `[virtual]`

| Get the name of the attribute. Implements ACEXML_Attribute_Def_Builder.

virtual int ACEXML_Debug_Attribute_Builder::insertList | ( | const ACEXML_Char *Name | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Insert an element for NOTATION or ENUMERATION type attribute. Implements ACEXML_Attribute_Def_Builder.

int ACEXML_Debug_Attribute_Builder::setAttType | ( | const ATT_TYPE type | ACEXML_ENV_ARG_DECL | ) | `[virtual]`

| Set the attribute type. Implements ACEXML_Attribute_Def_Builder.

int ACEXML_Debug_Attribute_Builder::setDefault | ( | const DEFAULT_DECL | def,
|  | const ACEXML_Char *value | ACEXML_ENV_ARG_DECL
| ) | `[virtual]`

| Set default attribute declaration. Implements ACEXML_Attribute_Def_Builder.

int ACEXML_Debug_Attribute_Builder::setName | ( | const ACEXML_Char * | n | ) | `[virtual]`

| Specify the name of the attribute. Implements ACEXML_Attribute_Def_Builder.

int ACEXML_Debug_Attribute_Builder::validAttr | ( | void |  | ) | `[virtual]`

  | Check validity of the current attribute definition being built. Return values:
  0 | if the attribute is not a valid combo.
Implements ACEXML_Attribute_Def_Builder.

## Member Data Documentation

ACEXML_STRING_QUEUE ACEXML_Debug_Attribute_Builder::att_value_queue_`[private]`

| Holds a queue of enumerated attribute values.

DEFAULT_DECL ACEXML_Debug_Attribute_Builder::default_decl_`[private]`

| Default value type.

ACEXML_String ACEXML_Debug_Attribute_Builder::default_value_`[private]`

| Default attribute value.

ACEXML_String ACEXML_Debug_Attribute_Builder::name_`[private]`

| Attribute name.

ATT_TYPE ACEXML_Debug_Attribute_Builder::type_`[private]`

| Type of attribute.

The documentation for this class was generated from the following files:

- Debug_Attributes_Builder.h
- Debug_Attributes_Builder.cpp